<?php
	include_once(__DIR__."/../../core.php");
	include($docroot."/config.inc.php");
	
	

	$dir = 'entrata';
	$module_name = 'Listini';

	
	
	
	$idarticolo = save( $_GET['idarticolo'] );
	

	
	
	$query = "SELECT * FROM mg_articoli WHERE attivo=1 ORDER BY descrizione";
	
		
		
	$rs = $dbo->fetchArray( $query );
	$n = sizeof($rs);
	$um = $rs[0]['um'];
	
	


	/*
		Form di inserimento riga documento
	*/
	echo "<label>Associazione articolo al listino </label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idarticolo."\" method=\"post\">\n";
	echo "	<input type='hidden' name='op' value='addarticolo'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	
	echo "	<div class='row'>\n";


	//Seleziona articolo
	echo "		<div class='col-md-6'>\n";
	echo "			<label>Articolo</label>\n";
	
	

	if( $n==0 ){
		echo "			... Non ci sono articoli ...\n";
		echo "			<input type=\"hidden\" id=\"idarticolo\" value=\"0\">\n";
	}
	
	else{
	
		//Se è un documenti di vendita leggo l'iva di vendita dall'articolo in base a quello selezionato...
		if( $dir=='entrata' )
			$other_js = "$('#idiva option').removeAttr('selected'); $('#idiva').find('option[value='+$(this).find('option:selected').attr('idiva_vendita')+']').attr('selected', true); ";
		
		//...altrimenti leggo l'iva di vendita dal fornitore e non deseleziono quella di default
		else
			$other_js = '';
			
		//Elenco articoli raggruppati per gruppi e sottogruppi
		echo "			<select id=\"idarticolo\" name=\"idarticolo\" class=\"superselect\" onchange=\"$('#prezzi').html(''); $('#qta').keyup(); $.get( '".$rootdir."/ajax_autocomplete.php?module=Articoli&op=getlotti&idarticolo='+$(this).find('option:selected').val(), function(data){ $('#lotto').html(data); update_jchosen('#lotto'); }); $('textarea[name=descrizione]').val( $(this).find('option:selected').attr('descrizione') ); $other_js\">\n";
		
		
		
		
		
		echo "				<option value=\"0\">- Seleziona un articolo -</option>\n";
		for( $i=0; $i<$n; $i++ ){
			if( $rs[$i-1]['categoria'] != $rs[$i]['categoria'] ){
				echo "				<optgroup label='".$rs[$i]['categoria']."'>\n";
			}
			
			if( $rs[$i-1]['subcategoria'] != $rs[$i]['subcategoria'] ){
				echo "				<optgroup label='&nbsp;&nbsp;".$rs[$i]['subcategoria']."'>\n";
			}

			echo "					<option value=\"".$rs[$i]['id']."\" sconto=\"0\" qta_magazzino='".floatval($rs[$i]['qta'])."' prezzo=\"".floatval($rs[$i]['prezzo_vendita'])."\" guadagno=\"".($rs[$i]['prezzo_vendita']/100*$prc_guadagno)."\" idiva_vendita=\"".intval($rs[$i]['idiva_vendita'])."\" descrizione=\"".$rs[$i]['descrizione']."\">".$rs[$i]['descrizione']." (".floatval($rs[$i]['qta']).")</option>\n";

			if( $rs[$i]['categoria'] != $rs[$i+1]['categoria'] ){
				echo "				</optgroup>\n";
			}
			
			if( $rs[$i]['subcategoria'] != $rs[$i+1]['subcategoria'] ){
				echo "				</optgroup>\n";
			}
		}
	}
	
	echo "			</select>\n";
	echo "		</div>\n";
	

	
	
	
	echo "	</div>\n";

	
	
	
	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<label>Descrizione</label>\n";
	echo "			<textarea name='descrizione' id='descrizione_art' class='form-control'></textarea>\n";
	echo "		</div>\n";
	echo "	</div>\n";
	
	
	
	
	
	//Costo unitario
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-3'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Prezzo di Listino</label>\n";
	echo "				<div class='input-group'>\n";
	echo "					<input type='text' class='form-control inputmask-decimal' id='prezzo' name='prezzo' value=\"0,00\"><span class='input-group-addon'>&euro;</span>\n";
	echo "				</div>\n";
	echo "			</div>\n";
	echo "		</div>\n";
	echo "		</div>\n";



	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "		</div>\n";
	echo "	</div>\n";

	?>
	
	
	<script type="text/javascript">
	
		dir = '<?php echo $dir ?>';
		
		function addarticolo(){
		//	if( $('#idarticolo').val()!='' && $('#idiva option:selected').val()!='' ){
				$("#link_form").submit();
		//	}
		}
		
	
		
		function ricalcola_totale( dir ){
			max_qta = $('#idarticolo option:selected').attr('qta_magazzino');
			max_qta = force_decimal( max_qta );

			qta = $('#qta').val();
			qta_commas = qta.replace('.', ',');
			qta = force_decimal( qta );

			if( qta>max_qta && dir=='entrata' ){
				$('#qta').val( max_qta );
				qta = max_qta;
			}

			prezzo = $('#idarticolo').find('option:selected').attr('prezzo');
			prezzo = force_decimal( prezzo );
			
			sconto = $('#idarticolo').find('option:selected').attr('sconto');
			sconto = force_decimal( sconto );

			$('#prezzo').val( decimals_with_commas( prezzo, 2 ) );
			$('#sconto').val( decimals_with_commas( sconto, 2 ) );
		}

		
		$(document).ready( function(){
			start_superselect();
			start_inputmask();
			
			$('#qta, #idarticolo').keyup( function(){
				ricalcola_totale( '<?php echo $dir ?>' );
			});
		
		});
	</script>


	<?php
	

		echo "<a onclick=\"addarticolo();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiungi</a>\n";

	echo "</form>\n";
	
	?>
	
	<div class="clearfix"></div>

